# Current Member Details Returns the member details of the current user (the owner of the API key). **User** - is an account with a license in the Organization. **Member** - is a User with a predefined Role in the Workspace. | Parameter | Description | |---|---| | `user_id` | A unique identifier of the `user` in the **organization** | | `membership_id` | A unique identifier of the `user` in the **workspace** | | `email` | A user email address | | `first_name` | A user's first name | | `last_name` | A user's last name | | `is_active` | A boolean value that identifies if a member is active and not blocked | | `workspace` | A unique identifier of the user's current active workspace | | `workspace_name` | A name of the user's current active workspace | | `email_verified` | A boolean value that identifies if the email is verified | | `role` | A member's role in the workspace | | `user_license` | A user license in the organization: 
`Full (Standard)`; 
`Read-only`; 
`eSignature`; 
`Guest`; 
`Creator` | | `date_created` | A date when a member was added to the workspace | | `date_modified` | Last modified date of a member | # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Members", "description": "Operations for managing and retrieving details about workspace members." } ], "paths": { "/public/v1/members/current": { "get": { "tags": [ "Members" ], "summary": "Current Member Details", "description": "Returns the member details of the current user (the owner of the API key).\n\n**User** - is an account with a license in the Organization. \n**Member** - is a User with a predefined Role in the Workspace.\n\n| Parameter | Description |\n|---|---|\n| `user_id` | A unique identifier of the `user` in the **organization** |\n| `membership_id` | A unique identifier of the `user` in the **workspace** |\n| `email` | A user email address |\n| `first_name` | A user's first name |\n| `last_name` | A user's last name |\n| `is_active` | A boolean value that identifies if a member is active and not blocked |\n| `workspace` | A unique identifier of the user's current active workspace |\n| `workspace_name` | A name of the user's current active workspace |\n| `email_verified` | A boolean value that identifies if the email is verified |\n| `role` | A member's role in the workspace |\n| `user_license` | A user license in the organization: 
`Full (Standard)`; 
`Read-only`; 
`eSignature`; 
`Guest`; 
`Creator` |\n| `date_created` | A date when a member was added to the workspace |\n| `date_modified` | Last modified date of a member |\n", "operationId": "detailsCurrentMember", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/MemberDetailsResponse" }, "examples": { "Current Member Details": { "value": { "user_id": "FA5QAu8UGA3oVDDZuPL75B", "membership_id": "RyMNXBjBPRppi56TfYBrXi", "email": "siarhei@pandadoc.com", "first_name": "Siarhei", "last_name": "", "is_active": true, "workspace": "n7SK7prHeoWJSXb9VkrPve", "workspace_name": "Workspace", "email_verified": true, "role": "Admin", "user_license": "Full", "date_created": "2023-08-03T11:49:16.364213Z", "date_modified": "2024-07-11T20:36:43.362526Z" } } } } } }, "400": { "$ref": "#/components/responses/400RequestError" }, "401": { "$ref": "#/components/responses/400RequestError" }, "403": { "$ref": "#/components/responses/401" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "MemberDetailsResponse": { "type": "object", "properties": { "user_id": { "type": "string", "description": "A unique identifier of the user in the organization.", "example": "ajnN7eGutJZsRKjQrNuPkh" }, "membership_id": { "type": "string", "description": "A unique identifier of the user in the workspace.", "example": "radQBiBkU7MBk59NSgaGf5" }, "email": { "type": "string", "description": "A user's email address.", "example": "josh@example.com" }, "first_name": { "type": "string", "description": "A user's first name.", "example": "Josh" }, "last_name": { "type": "string", "description": "A user's last name.", "example": "Ron" }, "is_active": { "type": "boolean", "description": "A boolean value that identifies if a member is active in the workspace.", "example": true }, "workspace": { "type": "string", "description": "A unique identifier of the user's current active workspace.", "example": "xc4mBZ7dKErXQtJwwD6Ghg" }, "workspace_name": { "type": "string", "description": "A name of the user's current active workspace.", "example": "PandaDoc" }, "emails_verified": { "type": "boolean", "description": "A boolean value that identifies if the email is verified.", "example": true }, "role": { "type": "string", "description": "A member's role in the workspace.", "example": "Admin" }, "user_license": { "type": "string", "description": "A user license in the organization.", "example": "Full" }, "date_created": { "type": "string", "description": "A date when a member was added to the workspace.", "example": "2020-11-17T08:42:34.237567Z" }, "date_modified": { "type": "string", "description": "Last modified date of a member.", "example": "2021-11-30T10:30:35.071428Z" } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } }, "400RequestError": { "description": "Bad Request", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "request_error" }, "detail": { "type": "object", "example": { "count": [ "A valid integer is required." ], "order_by": [ "value is not a valid choice." ] } } } } } } } } } } ```